#pragma once

#include <QScopedPointer>
#include <QWidget>
#include <QJsonObject>

class StatusWidgetPrivate;
class StatusWidget : public QWidget
{
    Q_OBJECT
public:
    explicit StatusWidget(QWidget *parent = Q_NULLPTR);
    ~StatusWidget();

Q_SIGNALS:
    void back();

public Q_SLOTS:
    void updateStatus(QJsonObject offlineResult, QJsonObject onlineResult);

private:
    QScopedPointer<StatusWidgetPrivate> dd_ptr;
    Q_DECLARE_PRIVATE_D(qGetPtrHelper(dd_ptr), StatusWidget)
};

